Subject: Re: [Bitcoin-development] From the forums: one-confirmation attack

From: Gregory Maxwell <[email-masked]>
Date: Thu, 18 Aug 2011 13:27:29 -0400

On Thu, Aug 18, 2011 at 12:47 PM, theymos <[email-masked]> wrote:
> To make this more difficult, nodes that receive new transactions via
> blocks should relay the new transactions as if they had received them
> normally. Then the double-spend transaction will be rejected by most of
> the network because the other version is already widely-known.

Not that helpful. In that attack pattern the attacker can release the
block and the conflicting transaction at the same time (to different
nodes, of course). They can also inject the conflicting transaction
into many places in the network at once.